Subject: bug#16238: 24.3.50; pcase docs (and possibly pcase) wrong

From: Michael Heerdegen <[email-masked]>
Date: Tue, 24 Dec 2013 10:55:00 +0100

Tassilo Horn <[email-masked]> writes:

> But shouldn't `arg' be substituted with 'x and `body' with '(add 1 x)?
> Now when I call the function, I get a void-variable error whereas I
> should get 3:
>
> ELISP> (evaluate '(call (fn x (add 1 x)) 2) nil)
> *** Eval error ***  Symbol's value as variable is void: body

I think the example is designed for lexical-binding.  That should be
mentioned.  It is not so nice anyway, since people will likely C-x C-e
the example and then it won't work.

Michael.